using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public class Rule1057
    {
        private Uri uri;

        // このメソッドは CA1057 に違反しています。
        public void SetUri(string uri)
        {
            this.uri = new Uri(uri);
        }

        public void SetUri(Uri uri)
        {
            this.uri = uri;
        }

        public override string ToString()
        {
            return this.uri.AbsolutePath;
        }
    }
}
